Get operation status
curl --request GET \
--url https://sandbox.payfi.global/v1/operations/{operationId} \
--header 'X-PayFi-Api-Key: <api-key>' \
--header 'X-PayFi-Nonce: <api-key>' \
--header 'X-PayFi-Signature: <api-key>'import requests
url = "https://sandbox.payfi.global/v1/operations/{operationId}"
headers = {
"X-PayFi-Api-Key": "<api-key>",
"X-PayFi-Nonce": "<api-key>",
"X-PayFi-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-PayFi-Api-Key': '<api-key>',
'X-PayFi-Nonce': '<api-key>',
'X-PayFi-Signature': '<api-key>'
}
};
fetch('https://sandbox.payfi.global/v1/operations/{operationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operationId": "op_example_pending",
"partnerOperationId": "acme-op-123",
"customerId": "cus_example",
"status": "REQUIREMENTS_PENDING",
"operationType": "IMPORT_GOODS",
"exchangeModality": "TERM",
"requirementsStatus": "PENDING",
"requiredDocumentTypes": [],
"missingDocumentTypes": [],
"score0To100": null,
"score1To10": null,
"riskLevel": null,
"createdAt": "2026-05-20T12:00:00.000Z",
"updatedAt": "2026-05-20T12:00:00.000Z"
}
Operations
Get operation status
Returns one operation scoped to the signed partner integration.
GET
/
v1
/
operations
/
{operationId}
Get operation status
Authorizations
Path Parameters
Operation ID.
Response
Operation status.
Example:
"op_example"
Example:
"acme-op-123"
Example:
"cus_example"
Available options:
CREATED, REQUIREMENTS_PENDING, REQUIREMENTS_REVIEW_REQUIRED, REQUIREMENTS_FAILED, AWAITING_DOCUMENTS, DOCUMENTS_PARTIAL, DOCUMENTS_UPLOADED, PROCESSING, PROCESSING_FAILED, ACTION_REQUIRED, READY_FOR_MANUAL_REVIEW, MANUAL_REVIEW_APPROVED, MANUAL_REVIEW_REJECTED, MANUAL_REVIEW_CHANGES_REQUESTED, PARTNER_CALLBACK_PENDING, PARTNER_CALLBACK_DELIVERED, PARTNER_CALLBACK_FAILED, CANCELLED, FAILED Example:
"REQUIREMENTS_REVIEW_REQUIRED"
Available options:
IMPORT_GOODS, EXPORT_GOODS, SERVICES Example:
"IMPORT_GOODS"
Available options:
ADVANCE, SIGHT, TERM Example:
"TERM"
Available options:
PENDING, REVIEW_REQUIRED, APPROVED, FAILED Example:
"REVIEW_REQUIRED"
Available options:
invoice, bill_of_lading, packing_list, di_duimp, bank_details, proforma, service_contract, insurance_policy Example:
["invoice", "bill_of_lading", "packing_list"]
Available options:
invoice, bill_of_lading, packing_list, di_duimp, bank_details, proforma, service_contract, insurance_policy Example:
["invoice"]
Example:
null
Example:
null
Available options:
low, medium, high, critical, unknown Example:
null
Example:
"Shenzhen NovaTech Components Co Ltd"
Example:
"Shenzhen NovaTech Components Co Ltd"
Example:
"BR"
Example:
"2026-05-20T12:00:00.000Z"
Example:
"2026-05-20T12:00:00.000Z"